Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class WO

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.WO

    public class WO

extends Vocabulary

This class models the BBC Wildlife Ontology.

Author:
  Davide Palmisano (dpalmisano@gmail.com)

Field Summary
`org.openrdf.model.URI` | `classClass`
`org.openrdf.model.URI` | `clazz`
`org.openrdf.model.URI` | `clazzName`
`org.openrdf.model.URI` | `division`
`org.openrdf.model.URI` | `divisionClass`
`org.openrdf.model.URI` | `divisionName`
`org.openrdf.model.URI` | `family` A family is a scientific grouping of closely related organisms.
`org.openrdf.model.URI` | `familyName` Used to specify the name of a family as part of a Taxon Name
`org.openrdf.model.URI` | `familyProperty` associates a taxon rank with a family
`org.openrdf.model.URI` | `genus`
`org.openrdf.model.URI` | `genusClass`
`org.openrdf.model.URI` | `genusName`
`org.openrdf.model.URI` | `kingdom`
`org.openrdf.model.URI` | `kingdomClass`
`org.openrdf.model.URI` | `kingdomName`
`org.openrdf.model.URI` | `NAMESPACE` The namespace of the vocabulary as a URI.
`static String` | `NS` The namespace of the vocabulary as a string.
`org.openrdf.model.URI` | `order`
`org.openrdf.model.URI` | `orderClass`
`org.openrdf.model.URI` | `orderName`
`org.openrdf.model.URI` | `phylum`
`org.openrdf.model.URI` | `phylumClass`
`org.openrdf.model.URI` | `phylumName`
`org.openrdf.model.URI` | `scientificName` specifies the scientific name of a species, allowing this portion of the name to be explicitly described.
`org.openrdf.model.URI` | `species` Generic class defining a biological species
`org.openrdf.model.URI` | `speciesName` specifies the species part of a binomial name, allowing this portion of the name to be explicitly described.

Method Summary
`static WO` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The namespace of the vocabulary as a string.

  See Also:
    Constant Field Values

### NAMESPACE

    public final org.openrdf.model.URI NAMESPACE

  The namespace of the vocabulary as a URI.

### species

    public final org.openrdf.model.URI species

  Generic class defining a biological species

### kingdomClass

    public final org.openrdf.model.URI kingdomClass

### divisionClass

    public final org.openrdf.model.URI divisionClass

### phylumClass

    public final org.openrdf.model.URI phylumClass

### orderClass

    public final org.openrdf.model.URI orderClass

### genusClass

    public final org.openrdf.model.URI genusClass

### classClass

    public final org.openrdf.model.URI classClass

### family

    public final org.openrdf.model.URI family

  A family is a scientific grouping of closely related organisms. It has smaller groups, called genera and species, within it. A family can have a lot of members or only a few. Examples of families include the cats (Felidae), the gulls (Laridae) and the grasses (Poaceae).

### familyProperty

    public final org.openrdf.model.URI familyProperty

  associates a taxon rank with a family

### familyName

    public final org.openrdf.model.URI familyName

  Used to specify the name of a family as part of a Taxon Name

### speciesName

    public final org.openrdf.model.URI speciesName

  specifies the species part of a binomial name, allowing this portion of the name to be explicitly described. Therefore this property will typically only be used in TaxonNames associated with species. The property is largely provided as a convenience to avoid applications having to parse the binomial name.

### scientificName

    public final org.openrdf.model.URI scientificName

  specifies the scientific name of a species, allowing this portion of the name to be explicitly described. Therefore this property will typically only be used in TaxonNames associated with species. The property is largely provided as a convenience to avoid applications having to parse the binomial name.

### kingdom

    public final org.openrdf.model.URI kingdom

### phylum

    public final org.openrdf.model.URI phylum

### order

    public final org.openrdf.model.URI order

### genus

    public final org.openrdf.model.URI genus

### division

    public final org.openrdf.model.URI division

### clazz

    public final org.openrdf.model.URI clazz

### kingdomName

    public final org.openrdf.model.URI kingdomName

### phylumName

    public final org.openrdf.model.URI phylumName

### orderName

    public final org.openrdf.model.URI orderName

### genusName

    public final org.openrdf.model.URI genusName

### divisionName

    public final org.openrdf.model.URI divisionName

### clazzName

    public final org.openrdf.model.URI clazzName

Method Detail

### getInstance

    public static WO getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.